VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Attributes
_VampParameterDescriptor Struct Reference

C language API for Vamp plugins. More...

`#include <vamp.h>`

List of all members.

## Public Attributes
const char * | identifier
| Computer-usable name of the parameter.
const char * | name
| Human-readable name of the parameter.
const char * | description
| Human-readable short text about the parameter.
const char * | unit
| Human-readable unit of the parameter.
float | minValue
| Minimum value.
float | maxValue
| Maximum value.
float | defaultValue
| Default value.
int | isQuantized
| 1 if parameter values are quantized to a particular resolution.
float | quantizeStep
| Quantization resolution, if isQuantized.
const char ** | valueNames
| Human-readable names of the values, if isQuantized.

## Detailed Description

C language API for Vamp plugins.

This is the formal plugin API for Vamp. Plugin authors may prefer to use the C++ classes provided in the Vamp plugin SDK, instead of using this API directly. There is an adapter class provided that makes C++ plugins available using this C API with relatively little work, and the C++ headers are more thoroughly documented.

IMPORTANT: The comments in this file summarise the purpose of each of the declared fields and functions, but do not provide a complete guide to their permitted values and expected usage. Please refer to the C++ headers in the Vamp plugin SDK for further details and plugin lifecycle documentation.

Definition at line 71 of file vamp.h.

## Member Data Documentation

const char* _VampParameterDescriptor::identifier

Computer-usable name of the parameter.

Must not change. [a-zA-Z0-9_]

Definition at line 74 of file vamp.h.

const char* _VampParameterDescriptor::name

Human-readable name of the parameter.

May be translatable.

Definition at line 77 of file vamp.h.

const char* _VampParameterDescriptor::description

Human-readable short text about the parameter.

May be translatable.

Definition at line 80 of file vamp.h.

const char* _VampParameterDescriptor::unit

Human-readable unit of the parameter.

Definition at line 83 of file vamp.h.

float _VampParameterDescriptor::minValue

Minimum value.

Definition at line 86 of file vamp.h.

float _VampParameterDescriptor::maxValue

Maximum value.

Definition at line 89 of file vamp.h.

float _VampParameterDescriptor::defaultValue

Default value.

Plugin is responsible for setting this on initialise.

Definition at line 92 of file vamp.h.

int _VampParameterDescriptor::isQuantized

1 if parameter values are quantized to a particular resolution.

Definition at line 95 of file vamp.h.

float _VampParameterDescriptor::quantizeStep

Quantization resolution, if isQuantized.

Definition at line 98 of file vamp.h.

const char** _VampParameterDescriptor::valueNames

Human-readable names of the values, if isQuantized.

May be NULL.

Definition at line 101 of file vamp.h.

The documentation for this struct was generated from the following file:

- vamp.h